apiVersion: apps/v1
kind: Deployment
metadata:
  creationTimestamp: null
  labels:
    app: spring-app
  name: spring-application
spec:
  replicas: 1
  selector:
    matchLabels:
      app: spring-app
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: spring-app
    spec:
      containers:
      - image: jasminshrestha/maven:200913-15e92fa
        name: spring-app-container
        resources: {}
        envFrom:
          - configMapRef:
             name: spring-configmap
        env:
        - name: SPRING_DATASOURCE_PASSWORD
          valueFrom:
            secretKeyRef:
              name: spring-db-refer
              key: db-password
        livenessProbe:
          httpGet:
            path: /persons/
            port: 8090
          initialDelaySeconds: 60
          periodSeconds: 120
        readinessProbe:
          httpGet:
            path: /actuator/health
            port: 8090
          initialDelaySeconds: 60
          periodSeconds: 120       
        
        ports:
          - containerPort: 8090
        resources:
          requests:
            memory: "600Mi"
            cpu: "250m"
          limits:
            memory: "1024Mi"
            cpu: "500m"
      initContainers:
        - name: check-db
          image: busybox:1.28
          command: ['sh', '-c', 'until nc -vz mysql-service 3306; do echo waiting for db; sleep 2; done;']

